Name:           python-stomper
Version:        0.4.3
Release:        %mkrel 9
Summary:        A python client implementation of the STOMP protocol
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/oisinmulvihill/stomper
Source0:        https://pypi.python.org/packages/source/s/stomper/stomper-%{version}.tar.gz
# fix tests
Patch0:         4f58251fadcf367cc391b68b1614d950f869bc0f.patch
BuildArch:      noarch
BuildRequires:	locales
BuildRequires:	python3-devel
BuildRequires:  python3dist(pynose)

%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%package -n python3-stomper
Summary:	A python client implementation of the STOMP protocol
Group:		Development/Python

%description -n python3-stomper
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%prep
%autosetup -p1 -n stomper-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files stomper

%check
LANG=C.UTF-8 PYTHONPATH=$(pwd) pynose -v

%files -n python3-stomper -f %{pyproject_files}
%doc lib/stomper/examples lib/stomper/tests



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.3-9.mga10
+ Revision: 2240723
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.3-8.mga10
+ Revision: 2157618
- rebuild for python3.13

* Tue Jan 28 2025 papoteur <papoteur> 0.4.3-7.mga10
+ Revision: 2142957
- use pynose instead of nose for tests

* Fri Feb 16 2024 papoteur <papoteur> 0.4.3-6.mga10
+ Revision: 2042005
- fix tests
- rebuild for python 3.12
- use pyproject macros

* Thu Mar 24 2022 umeabot <umeabot> 0.4.3-6.mga9
+ Revision: 1824914
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4.3-5.mga9
+ Revision: 1782306
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.3-4.mga9
+ Revision: 1732354
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.3-3.mga8
+ Revision: 1533687
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.4.3-2.mga8
+ Revision: 1444920
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.4.3-1.mga7
+ Revision: 1393897
- new version 0.4.3
- add python3 pkg

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1274848
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 971137
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 philippem <philippem> 0.3.0-1.mga6
+ Revision: 889345
- update to 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-5.mga5
+ Revision: 740849
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.8-4.mga5
+ Revision: 729840
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-3.mga5
+ Revision: 688356
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Feb 23 2014 philippem <philippem> 0.2.8-1.mga5
+ Revision: 596003
- imported package python-stomper

